#!/bin/awk -f

# Nicklas Nordborg, September 2021
# Calculates average read length in FASTQ files
# 
BEGIN {
    mean=0;
    n=0;
}

{
    if (NR%4==2) {
    	n++;
    	mean+=length
    }
}

END {
    mean/=n;
    printf("%ld\t%g\n",n,mean);
}
