#!/bin/awk -f

# Jari Häkkinen, September 2014

BEGIN {
    FS="\t";
    mean=0;
    m2=0;
    n=0;
}

{
    d=$9 < 0 ? -$9 : $9;
    if ((d>0) && (d<500)) {
	mean+=d;
	m2+=d*d
	n++;
    }
}

END {
    mean/=n;
    variance=(m2-n*mean*mean)/(n-1);
    std=sqrt(variance);
    n/=2;
#    printf("N:        %g\n",n);
#    printf("Mean:     %g\n",mean);
#    printf("Variance: %g\n",variance);
#    printf("std:      %g\n",std);
    printf("%ld\t%g\t%g\n",n,mean,std);
}
