var DownloadZip = function()
{
	var zip = {};
	
	// Page initialization
	zip.initPage = function()
	{
		var pageId = Doc.getPageId();
		if (pageId == 'password-dialog')
		{
			Buttons.addClickHandler('generate', zip.generatePassword);
			Buttons.addClickHandler('close', App.closeWindow);
			Buttons.addClickHandler('btnDownload', zip.makeZip);
		}
	}

	zip.initElement = function(element, autoInit)
	{
		if (autoInit == 'download-as-zip')
		{
			Events.addEventHandler(element, 'click', zip.openPasswordDialog);
		}
	}
	
	zip.openPasswordDialog = function(event)
	{
		var fileId = Data.int(event.currentTarget, 'file-id');
		var homeUrl = Data.get(event.currentTarget, 'home');

		var url = homeUrl+'/download-as-zip.jsp?ID=' + App.getSessionId();
		url += '&fileId='+fileId;
		Dialogs.openPopup(url, 'DownloadAsZip'+fileId, 450, 300);
	}
	
	
	zip.generatePassword = function()
	{
		var C = 'ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnpqrstuvwxyz123456789%!#=*-.abcdefghijkmnpqrstuvwxyz';
		var pwd = '';
		for (var i = 0; i < 12; i++)
		{
			var p = Math.floor(Math.random()*C.length);
			pwd += C.substring(p, p+1);
		}
		var frm = document.forms['options'];
		frm.password.value = pwd;
	}
	
	zip.makeZip = function()
	{
		var frm = document.forms['options'];
		var url = 'Session.servlet?ID='+App.getSessionId();
		url += '&cmd=DownloadFileAsZip';
		url += '&fileId='+Data.get('page-data', 'file-id');
		url += '&password='+encodeURIComponent(frm.password.value);
		url += '&remember='+(frm.rememberPassword.checked?1:0);
		window.opener.location.href = url;
		App.closeWindow();
	}

	return zip;
}();

Doc.onLoad(DownloadZip.initPage);
Doc.addElementInitializer(DownloadZip.initElement);
